GuiCommand: Name: TechDraw RadiusDimension MenuLocation: TechDraw , Dimensions , Insert Radius Dimension Workbenches: TechDraw_Workbench SeeAlso: TechDraw_DiameterDimension
TechDraw RadiusDimension
Description
The TechDraw RadiusDimension tool adds a radius dimension to a View. The dimension may be applied to any edge which is a circle or circular arc.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_Dimension_Radius_example.png)
Usage
-
Select a circle or circular arc. The geometry may be selected in the 3D view or in the drawing. Note some arcs which appear to be circular are actually ellipses or B-splines. You cannot make a radius dimension in these cases.
-
If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the Tree view.
-
There are several ways to invoke the tool:
<small>(v1.0)</small> : If the **Dimensioning tools** [preference](wiki-test2.php?gitpage=TechDraw_Preferences#Dimensions) is set to {{Value|Single tool}} (default): press the down arrow to the right of the **<img src="https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_Dimension.svg" width=|x16px><img src="https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Toolbar_flyout_arrow.svg" width=x16px>** button and select the **<img src="https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_RadiusDimension.svg" width=16px> Insert Radius Dimension** option from the dropdown.
-
If this preference has a different value (and in {{VersionMinus|0.21}}): press the
Insert Radius Dimension button.
-
Select the TechDraw → Dimensions →
Insert Radius Dimension option from the menu.
-
-
A dimension is added to the View.
-
The dimension may be dragged to the desired position.
-
If needed, add tolerances as described on this page.
Display 3D measurement
Change properties
To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.
Limitations
Dimension objects are vulnerable to the \"topological naming problem\". See TechDraw LengthDimension.
Notes
Properties
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
The Radius Dimension tool can be used in macros and from the Python console by using the following functions:
dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::DrawViewDimension", "Dimension")
dim1.Type = "Radius"
dim1.References2D=[(view1, "Edge1")]
page.addView(dim1)
{{TechDraw Tools navi}}
⏵ documentation index > TechDraw > TechDraw RadiusDimension
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/TechDraw_RadiusDimension.md